public class Main {
    public static void main(String[] args) {
        //define AirportController
        AirportController airportController = new AirportController();

        //define Pilots
        Pilot pilot1 = new Pilot(1, "Karel", "Nový");
        Pilot pilot2 = new Pilot(2, "Josef", "Kovář");
        Pilot pilot3 = new Pilot(3, "Pavel", "Zelený");
        Pilot pilot4 = new Pilot(4, "Karel", "Černý");
        Pilot pilot5 = new Pilot(5, "Antonín", "Cvrček");
        Pilot pilot6 = new Pilot(3, "Jan", "Frajer");
        Pilot pilot7 = new Pilot(4, "Kateřina", "Malá");
        Pilot pilot8 = new Pilot(5, "Pavel", "Buk");

        //define Airplanes
        Airplane airplane1 = new Airplane("Boeing","747",1000,2003,5700000);
        Airplane airplane2 = new Airplane("Airbus","A320",1001,1998,7200000);
        Airplane airplane3 = new Airplane("Boeing","787",1002,2007,3200000);
        Airplane airplane4 = new Airplane("Airbus","A380",1003,2015,1500000);

        //define Flight
        Flight ak000 = new Flight("AK000","Prague","Milano",1.5,800, 23022020,1100);
        Flight ak001 = new Flight("AK001","Prague","Amsterodam",1,830, 23022020,1200);
        Flight ak002 = new Flight("AK002","Prague","Stockholm",2,1100, 24022020,1500);
        Flight ak003 = new Flight("AK003","Prague","Wuhan",12,6900, 24022020,1200);

        //Pilots who are captains
        pilot3.definePilotToCaptain();
        pilot4.definePilotToCaptain();
        pilot8.definePilotToCaptain();

        //Flight AK000
        ak000.addPilotToFlight(pilot3);
        ak000.addPilotToFlight(pilot1);

        //Flight AK001
        ak001.addPilotToFlight(pilot2);
        ak001.addPilotToFlight(pilot4);
        ak001.addPilotToFlight(pilot5);

        //Flight AK002
        ak002.addPilotToFlight(pilot4);
        ak002.addPilotToFlight(pilot1);
        ak002.addPilotToFlight(pilot6);

        //Flight AK003
        ak003.addPilotToFlight(pilot8);
        ak003.addPilotToFlight(pilot2);
        ak003.addPilotToFlight(pilot5);
        ak003.addPilotToFlight(pilot7);

        airportController.addConcreteFlightToPreparedFlights(ak000);
        airportController.addConcreteFlightToPreparedFlights(ak001);
        airportController.addConcreteFlightToPreparedFlights(ak002);
        airportController.addConcreteFlightToPreparedFlights(ak003);

        FormForGUI ffg = new FormForGUI(airportController);
        ffg.setVisible(true);


    }
}
